Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::ObjectFactory Class Reference

An AtkObjectFactory C++ wrapper class. More...

`#include <inti/atk/objectfactory.h>`

Inheritance diagram for Inti::Atk::ObjectFactory:

List of all members.

## Public Member Functions

Constructors

- virtual ~ObjectFactory ()
    Destructor.

Accessors

- AtkObjectFactory * atk_object_factory () const
    Get a pointer to the AtkObjectFactory structure.
- AtkObjectFactoryClass * atk_object_factory_class () const
    Get a pointer to the AtkObjectFactoryClass structure.
- operator AtkObjectFactory * () const
    Conversion operator; safely converts an ObjectFactory to an AtkObjectFactory pointer.
- GType get_accessible_type () const
    Gets the GType of the accessible which is created by the factory.

Methods

- Atk::Object * create_accessible (const G::Object &object)
    Provides an AtkObject that implements an accessibility interface on behalf of object.
- void invalidate ()
    Inform the factory that it is no longer being used to create accessibles.

## Protected Member Functions

Constructors

- ObjectFactory (AtkObjectFactory *factory, bool reference=true)
    Construct a new ObjectFactory from an existing AtkObjectFactory.

## Detailed Description

An AtkObjectFactory C++ wrapper class.

ObjectFactory is the base object class for a factory used to create an accessible object for a specific GType. The method set_factory_type() is normally called to store in the registry the factory type to be used to create an accessible of a particular GType.

An ObjectFactory is returned by Atk::Registry::get_factory(). You wont need to use this class unless you are implementating your own accessible objects (for an example see gtk_widget_real_get_accessible() in gtkwidget.c, if you have the GTK+ source code).

## Constructor & Destructor Documentation

Inti::Atk::ObjectFactory::ObjectFactory | ( | AtkObjectFactory * | factory,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new ObjectFactory from an existing AtkObjectFactory. Parameters:
  factory | A pointer to a AtkObjectFactory.
  reference | Set false if the initial reference count is floating, set true if it's not.
The factory can be a newly created AtkObjectFactory or an existing AtkObjectFactory. (see G::Object::Object).

## Member Function Documentation

Atk::Object* Inti::Atk::ObjectFactory::create_accessible | ( | const G::Object & | object | ) |

  | Provides an AtkObject that implements an accessibility interface on behalf of object. Parameters:
  object | A G::Object.
Returns: An pointer to an Atk::Object that implements an accessibility interface on behalf of object.

GType Inti::Atk::ObjectFactory::get_accessible_type | ( |  | ) | const

| Gets the GType of the accessible which is created by the factory. Returns: The type of the accessible which is created by the factory. The value G_TYPE_INVALID is returned if no type is found.

void Inti::Atk::ObjectFactory::invalidate | ( |  | ) |

| Inform the factory that it is no longer being used to create accessibles. When called, the factory may need to inform Atk::Objects which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of ObjectFactorys in object registries.

The documentation for this class was generated from the following file:

- objectfactory.h

Main Page - Footer